[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TProgressBarState

Represents state values used when drawing a progress bar.

## Declaration

Source position: comctrls.pp line 1807

`type TProgressBarState = (`
`pbsNormal,` |  | Progress bar is rendered using the normal drawing style for the platform.
`pbsError,` |  | Progress bar is drawn using a style which indicates an error condition.
`pbsPaused` |  | Progress bar is drawn using a style which indicates that the bar is paused.
`);`

## Description

TProgressBarState is an enumerated type with values that represent the states for a progress bar. TProgressBarState is the type used to implement the State property in TTaskDialogProgressBar.

## Version info

Added in LCL version 4.0.

## See also

TTaskDialogProgressBar.State |  | Contains the current drawing state for the progress bar.